Subject: RE: [Breakage] Git v2.21.0-rc0 - t5318 (NonStop)

From: "Randall S. Becker" <[email-masked]>
Date: Fri, 8 Feb 2019 17:36:00 -0500

On February 8, 2019 17:19, brian m. carlson wrote:
> On Fri, Feb 08, 2019 at 05:12:43PM -0500, Randall S. Becker wrote:
> > I'm happy to modify the test (it is in one spot), to make a decision based
> on:
> > a) whether /dev/zero exists
> > b) whether the system is a NonStop
> > c) something else
> >
> > What would you all prefer? It doesn't matter to me one way or another, as
> long as I can get the dependency to /dev/zero removed so tests will run here.
> 
> My preference is that we wrap the yes/tr invocation into a function (maybe
> "infinite_nul") and use that where we currently require /dev/zero.

That's simple enough to do in test-lib-functions.sh for the situation where yes|tr is being piped, but that's t5562. In t5318 we have dd if=/dev/zero, and that's where truncate would need to work. The requirements of that test seem very specific to me and not that generalizable. I'm just dealing with new breakages on the platform.